Package org.optaplanner.benchmark.impl.statistic.scorecalculationspeed

## Class ScoreCalculationSpeedSubSingleStatistic<Solution_>

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.SubSingleStatistic<Solution_,​StatisticPoint_>
  - - org.optaplanner.benchmark.impl.statistic.ProblemBasedSubSingleStatistic<Solution_,​ScoreCalculationSpeedStatisticPoint>
    - - org.optaplanner.benchmark.impl.statistic.scorecalculationspeed.ScoreCalculationSpeedSubSingleStatistic<Solution_>

-     public class ScoreCalculationSpeedSubSingleStatistic<Solution_>
      extends ProblemBasedSubSingleStatistic<Solution_,​ScoreCalculationSpeedStatisticPoint>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.ProblemBasedSubSingleStatistic

      `problemStatisticType`

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `logger, pointList, subSingleBenchmarkResult`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScoreCalculationSpeedSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)` |
    `ScoreCalculationSpeedSubSingleStatistic​(SubSingleBenchmarkResult benchmarkResult, long timeMillisThresholdInterval)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close​(Solver<Solution_> solver)` |
    `protected ScoreCalculationSpeedStatisticPoint` | `createPointFromCsvLine​(ScoreDefinition scoreDefinition, List<String> csvLine)` |
    `protected String` | `getCsvHeader()` |
    `void` | `open​(Solver<Solution_> solver)` |

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.ProblemBasedSubSingleStatistic

      `getStatisticType, toString`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `getAnchorId, getCsvFile, getCsvFileName, getPointList, getRelativeCsvFilePath, getSubSingleBenchmarkResult, hibernatePointList, initPointList, setPointList, setSubSingleBenchmarkResult, unhibernatePointList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreCalculationSpeedSubSingleStatistic

          public ScoreCalculationSpeedSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)

    - #### ScoreCalculationSpeedSubSingleStatistic

          public ScoreCalculationSpeedSubSingleStatistic​(SubSingleBenchmarkResult benchmarkResult,
                                                         long timeMillisThresholdInterval)

  - ### Method Detail

    - #### open

          public void open​(Solver<Solution_> solver)

      Specified by:
        `open` in class `SubSingleStatistic<Solution_,​ScoreCalculationSpeedStatisticPoint>`

    - #### close

          public void close​(Solver<Solution_> solver)

      Specified by:
        `close` in class `SubSingleStatistic<Solution_,​ScoreCalculationSpeedStatisticPoint>`

    - #### getCsvHeader

          protected String getCsvHeader()

      Specified by:
        `getCsvHeader` in class `SubSingleStatistic<Solution_,​ScoreCalculationSpeedStatisticPoint>`

    - #### createPointFromCsvLine

          protected ScoreCalculationSpeedStatisticPoint createPointFromCsvLine​(ScoreDefinition scoreDefinition,
                                                                               List<String> csvLine)

      Specified by:
        `createPointFromCsvLine` in class `SubSingleStatistic<Solution_,​ScoreCalculationSpeedStatisticPoint>`